<?php

declare(strict_types=1);

namespace App\Controller\TblSupervisorCiudad;

use App\Service\TblSupervisorCiudadService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblSupervisorCiudadService(): TblSupervisorCiudadService
    {
        return $this->container->get('TblSupervisorCiudad_service');
    }
}
